%define rel		1
%define rc_ver		1
%define rc_name		rcgit.19
%if %{rc_ver}
%define release		%mkrel -c %{rc_name} %{rel}
%define tarballver	%{version}-%{rc_name}
%define tarballdir	v%{version}-%{rc_name}
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%endif
# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires
Name:		remmina
Version:	1.2.0
Release:	%{release}
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2+
URL:		http://www.remmina.org/wp/
Source0:	https://github.com/FreeRDP/Remmina/archive/%{tarballdir}/Remmina-%{tarballver}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(avahi-client) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.30
#BuildRequires:	pkgconfig(spice-client-gtk-3.0)
BuildRequires:	pkgconfig(appindicator3-0.1)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(zlib)

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

#----------------------------------------------------------------------------

%package	plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}

%description	plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-gnome
Summary:	GNOME keyring integration for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(libsecret-1)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-gnome
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with GNOME keyring support for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	nxproxy

%description	plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the NX plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------


%package	plugins-telepathy
Summary:	Telepathy plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(telepathy-glib)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-telepathy
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Telepathy plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libvncserver)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	x11-server-xephyr

%description	plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the XDMCP plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%prep
%setup -qn Remmina-%{tarballver}


%build
%cmake -DWITH_APPINDICATOR=ON -DWITH_FREERDP=OFF

%make

%install
%make_install -C build

%find_lang %{name}

desktop-file-install \
	--remove-category="X-GNOME-NetworkSettings" \
	--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/*/actions/%{name}*.png
%{_iconsdir}/hicolor/*/emblems/%{name}*.png
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins-common
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-gnome
%{_libdir}/%{name}/plugins/%{name}-plugins-gnome.so

%files plugins-nx
%{_libdir}/%{name}/plugins/%{name}-plugin-nx.so
%{_iconsdir}/hicolor/*/emblems/%{name}-nx.png


%files plugins-telepathy
%{_libdir}/%{name}/plugins/%{name}-plugin-telepathy.so

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc.png

%files plugins-xdmcp
%{_libdir}/%{name}/plugins/%{name}-plugin-xdmcp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp.png


%changelog
* Wed Aug 30 2017 adrianomorselli <adrianomorselli> 1.2.0-0.rcgit.19.1uplos2017
- try to import for uplos, removed new freerdp and spice-client with systemd sheet!!
